Bug 612271 - Kernel Freeze at Probing edd
Kernel Freeze at Probing edd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 14:01 EDT by Frank Murphy
Modified: 2010-07-18 08:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-18 08:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2010-07-07 14:01:02 EDT
Description of problem: Doesn't boot


It Won't boot, virt-manager guest 32bit rawhide.
stops at checking for edd
has to be forcibly stopped.
No logs whatsoever.
It boots from  F13 kernel's.

virt-man shows no disk, net activity,
cpu almost flatline.


Version-Release number of selected component (if applicable):
kernel-2.6.35-0.24.rc3.git7.fc14
kernel-2.6.35-0.25.rc4.git0.fc14
kernel-2.6.35-0.27.rc4.git0.fc14   


How reproducible:
Always


Steps to Reproduce:
1. Boot
2.
3.
  



Expected results: Normal boot

Additional info: There is someone else thinks it may be related to:
https://bugzilla.redhat.com/show_bug.cgi?id=575417
But I cannot confirm this.
Comment 1 Frank Murphy 2010-07-08 03:44:55 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=182181
kernel-2.6.35-0.29.rc4.git0.fc14.i686.rpm as others

perf-2.6.35-0.29.rc4.git0.fc14.i686.rpm  won't install
Comment 2 Frank Murphy 2010-07-09 05:01:17 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=182648
kernel-2.6.35-0.31.rc4.git4.fc14.i686.rpm as above
perf.i686 installed after yum erase perf.noarch

Have tries a lot of the usual kernel parametres at grub, no success.

noacpi
noapic
nomsi
ignore_loglevel
debug
initcall_debug
lapic
bios
nobios
bootmem_debug
iommu=*
edd=on\off
debug_objects
Comment 3 Frank Murphy 2010-07-12 11:43:42 EDT
Working back through the kernels this seems to have started with the move to 2.6.35*

This is what virsh picks up from the host in case any use:
$ sudo virsh capabilities
[sudo] password for frank: 
<capabilities>

  <host>
    <cpu>
      <arch>x86_64</arch>
      <model>pentium3</model>
      <topology sockets='1' cores='4' threads='1'/>
      <feature name='lahf_lm'/>
      <feature name='lm'/>
      <feature name='syscall'/>
      <feature name='xtpr'/>
      <feature name='cx16'/>
      <feature name='ssse3'/>
      <feature name='tm2'/>
      <feature name='est'/>
      <feature name='vmx'/>
      <feature name='ds_cpl'/>
      <feature name='monitor'/>
      <feature name='pni'/>
      <feature name='pbe'/>
      <feature name='tm'/>
      <feature name='ht'/>
      <feature name='ss'/>
      <feature name='sse2'/>
      <feature name='acpi'/>
      <feature name='ds'/>
      <feature name='clflush'/>
      <feature name='apic'/>
    </cpu>
--snip--
Comment 4 Chuck Ebbert 2010-07-14 02:57:37 EDT
What kernel is the host running?
Comment 5 Frank Murphy 2010-07-14 03:18:58 EDT
kernel-2.6.33.6-147.fc13.x86_64
Comment 6 Frank Murphy 2010-07-14 04:08:04 EDT
(In reply to comment #5)
> kernel-2.6.33.6-147.fc13.x86_64    

Also tested with:
http://koji.fedoraproject.org/koji/buildinfo?buildID=183346
kernel-2.6.34.1-11.fc13.x86_64.rpm
Comment 7 Frank Murphy 2010-07-16 11:57:13 EDT
Ok, I may have tracked this down to python-virtinst ref:
https://bugzilla.redhat.com/show_bug.cgi?id=611584

I have now sucessfully booted  a 2-6.35* kernel on a newly installed Rawhide.x86_64

So will over the weekend reinstall Rawhide.x86 and report back.
Comment 8 Frank Murphy 2010-07-18 08:08:49 EDT
(In reply to comment #7)
> Ok, I may have tracked this down to python-virtinst ref:
> https://bugzilla.redhat.com/show_bug.cgi?id=611584
> 
> I have now sucessfully booted  a 2-6.35* kernel on a newly installed
> Rawhide.x86_64
> 
> So will over the weekend reinstall Rawhide.x86 and report back.    


Yes, the rawhide boots now it was purely a python-virtinst issue.

Apologies for any noise.

Note You need to log in before you can comment on or make changes to this bug.